Skip to main content

Get Segment

Retrieve a specific segment by UUID, including its stored filters and audience size. See Filters.

Request​

GET /segments/{uuid}

Path Parameters​

ParameterTypeDescription
uuidstringSegment's UUID

Example Request​

curl -X GET "https://email.easy.tools/api/v1/segments/60707a92-80d0-468e-8a13-38b90c0511db" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"

Response​

Success Response (200 OK)​

{
"data": {
"uuid": "60707a92-80d0-468e-8a13-38b90c0511db",
"name": "Lapsed buyers",
"contacts_count": 1284,
"contacts_count_calculated_at": "2026-06-26T08:12:03Z",
"filters": {
"root": {
"type": "group",
"operator": "AND",
"conditions": [
{
"type": "condition",
"fieldKey": "as:one_time_product",
"operator": "exists",
"value": null,
"kind": "custom_field",
"modelId": "76d3d4e2-54a7-48de-b40e-1dcfc9505a0f",
"withinDays": null
}
]
}
},
"created_at": "2026-02-10T14:20:00Z",
"updated_at": "2026-06-25T09:01:11Z"
}
}

Response Fields​

The segment has the fields described in Segment Object.

Error Responses​

Not Found Error (404)​

{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Segment with uuid '60707a92-80d0-468e-8a13-38b90c0511db' not found"
}
}